Doomsday Engine - Bug #2118

[HeXen] Possible mishandling of sector effect 200 (sky textures)
2015-10-08 23:29 - vermil

Status: New Start date: 2015-10-08
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

It seems that Doomsday handles sector effect 200 'Sky2 Mapinfo' differently from Vanilla HeXen.

In the below pwad in Vanilla HeXen, entering the sectors around sector 29, that feature this special seems to have no effect, but
entering the sector in Dday causes Dday to switch from displaying both SKY1 + 2 to just SKY2. When the player then leaves the
mentioned sectors with sector effect 200, Dday then only renders SKY1.

It almost sounds like a bugged sector special in Vanilla HeXen that Dday has 'fixed'. | personally don't recall this sector special being
used in the lwad maps, but | obviously haven't checked every map for the effect.

But yes, the behaviour of this sector effect appears different in Dday versus Vanilla.

http://www.doomworld.com/idgames/levels/hexen/a-c/colin4

History

#1 - 2015-11-09 12:59 - skyjake
- Tags changed from Hexen, emulation to Hexen, Sky
- Subject changed from [HeXen] Possible mishandling of sector effect 200 to [HeXen] Possible mishandling of sector effect 200 (sky textures)

- Category set to Vanilla emulation

#2 - 2017-04-03 13:33 - skyjake

- Target version set to Modding

#3 - 2017-04-03 18:34 - skyjake

- Target version changed from Modding to Vanilla/ Gameplay
